r.out.ppm(1)	       Grass User's Manual	     r.out.ppm(1)



NNAAMMEE
       rr..oouutt..ppppmm  -  converts  a GRASS raster file to a PPM image
       file at the pixel  resolution  of  the  CURRENTLY  DEFINED
       REGION.



UUssaaggee::
       rr..oouutt..ppppmm [-qG] iinnppuutt==name oouuttppuutt==name

FFllaaggss::
       -q   Run quietly


       -G   Output greyscale instead of color



PPaarraammeetteerrss::
       input   Raster file to be converted.


       output	Name for new PPM file. (use out=- for stdout)

       default: .ppm




       This  program  converts a GRASS raster file to a PPM image
       file at the pixel  resolution  of  the  CURRENTLY  DEFINED
       REGION.	 e.g.,	to  get the resolution of the raster map,
       do:


       g.region rast=[mapname]


       before running r.out.ppm.


       The PPM file created is 24bit color,  rawbits  storage  by
       default.   Using  -G,  you may force r.out.ppm to use 8bit
       greyscale instead.  The greyscale conversion uses the NTSC
       conversion:


       Y = .30*Red + .59*Green + .11*Blue


       One pixel is written for each cell value, so if ew_res and
       ns_res differ, the aspect ratio	of  the  resulting  image
       will be off.



NNOOTTEE
       A  few  ppm  file  comments  are written - the name of the
       GRASS raster file, resolution, etc.   Although  these  are
       perfectly  legal,  I've	found  one  PD image utility that
       chokes on them, so if you need a commentless ppm file, use
       out=-  >  outfile.ppm.  (When sending output to stdout, no
       comments are written.)



TTOODDOO
       Allow combination of 3 grass files to represent	R,  G,	B
       components  of ppm file?  Bill Brown

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_4 _$



GRASS 5.0					     r.out.ppm(1)
